Bug 1809796 - Scaling of worker node is not possible without manual intervention
Summary: Scaling of worker node is not possible without manual intervention
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Stephen Benjamin
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 21:29 UTC by DirectedSoul
Modified: 2020-03-19 17:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-19 17:34:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
GRUB needs to be selected manually else this task remains in hold state (234.02 KB, image/png)
2020-03-03 21:29 UTC, DirectedSoul
no flags Details

Description DirectedSoul 2020-03-03 21:29:59 UTC
Created attachment 1667309 [details]
GRUB needs to be selected manually else this task remains in hold state

Description of problem:

Scaling of worker node is not happening automatically it needs a manual intervention for GRUB selection. 

Version-Release number of the following components:

Tested version: registry.svc.ci.openshift.org/ipv6/release:4.3.0-0.nightly-2020-02-05-064223-ipv6.3  



How reproducible:

Deploy an Openshift IPI cluster in latest fork ipv6/release:4.3.0-0.nightly-2020-02-05-064223-ipv6.3 once the cluster is up 

```

oc get nodes
NAME                                         STATUS   ROLES    AGE   VERSION
master-0.kni7.cloud.lab.eng.bos.redhat.com   Ready    master   22h   v1.16.2
master-1.kni7.cloud.lab.eng.bos.redhat.com   Ready    master   22h   v1.16.2
master-2.kni7.cloud.lab.eng.bos.redhat.com   Ready    master   22h   v1.16.2
worker-0.kni7.cloud.lab.eng.bos.redhat.com   Ready    worker   25m   v1.16.2
worker-1.kni7.cloud.lab.eng.bos.redhat.com   Ready    worker   20h   v1.16.2
worker-2.kni7.cloud.lab.eng.bos.redhat.com   Ready    worker   21h   v1.16.2
```
 
Steps to Reproduce:
1. Deploy the cluster 
2. Use the link -> https://github.com/openshift-kni/baremetal-deploy/blob/master/install-steps.md#deploy-the-provisioner-node-as-a-worker-node-using-metal3 to provision the worker using the bmh 
3. The worker will not come up until you go to idrac and select the GRUB menu manually. 

Actual results:
Worker-0 should come up without any manual intervention


Expected results:
worker node should come up without any manual intervention.

Comment 2 Stephen Benjamin 2020-03-19 17:34:45 UTC
We haven't been able to reproduce, please re-open if you can provide more information. It may be an issue that needs to be discussed with the CoreOS team. The baremetal IPI installer isn't involved with grub on the installed machine OS.


Note You need to log in before you can comment on or make changes to this bug.